Subject: Re: Serial port programming
From: Kim Poulsen <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Aug 1999 09:03:22 +0200

It would seem that I can open the files called /dev/com2, /dev/ttyS1,
and com2 but I cannot read or write (with fopen(..., "rw");) from the
file. Why might that be so?  The program core dumps with an
STATUS_ACCESS_VIOLATION error on the fgetc() or fputc() command.

Baron Shatturday wrote:
> >  I've got the following problem: I need to access the serial ports of
> >my PC through an ANSI C program.  How do I do that ?  I have already
> >tried using fopen("/dev/com2", "r")
> Have you tried using ("/dev/ttyS1", "r")?
> Just a thought...

-- 
 Kim Poulsen, B.Sc.E.E, System Developer HW
 Ericsson Telebit A/S     Tel: + 45 86 28 81 76
 Fabriksvej 11            Fax: + 45 86 28 81 86
 DK-8260 Viby J           E-mail: [email-masked]
 Denmark                  URL: http://www.tbit.dk/

--
Want to unsubscribe from this list?
Send a message to [email-masked]